/*
 *  Copyright 1999-2018 Alibaba Group Holding Ltd.
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

package com.alibaba.fescar.rm.datasource.undo;

/**
 * The type Undo log parser factory.
 *
 * @author sharajava
 */
public class UndoLogParserFactory {

    private static class SingletonHolder {
        private static final UndoLogParser INSTANCE = new JSONBasedUndoLogParser();
    }

    /**
     * Gets instance.
     *
     * @return the instance
     */
    public static final UndoLogParser getInstance() {
        return SingletonHolder.INSTANCE;
    }

}
